
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
        <!-- Search for small screen-->
        <div class="container">
          <div class="row">
            <div class="col s12 m6 l6">
              <h5 class="card-title">Viste Technique</h5>
  
            </div>
            <div class="col s12 m6 l6 right-align-md">
              <ol class="breadcrumbs mb-0">
                <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
                </li>
                <li class="breadcrumb-item">Configurations
                </li>
                <li class="breadcrumb-item active">Liste des viste technique
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
  
          <div class="section section-data-tables">
  
  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
       <a class=" modal-trigger" href="#modal1" (click)="initi()">
       <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
          <i class="material-icons right">add</i>
        </button>
        </a>
  
        <h4 class="card-title">Liste des viste techniques</h4>
        <br/>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Immatricule </th>
                  <th>garage</th>
                  <th>prix</th>
                  <th>kilometrage</th>
                  <th>date</th>
                  <th>description</th>
                  
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let v of vistetechniques; index as i;">
                  
  
                  <td>{{v.voitureImmatricule}}</td>
                  <td>

                    <div *ngFor="let g of garages">
                      <div *ngIf="v.GarageId === g.id">
                        {{g.nom}}  
                      </div>
                    </div>

                  </td>
                  <td>{{v.prix}}</td>
                  <td>{{v.kilometrage}}</td>
                  <td>{{v.date}}</td>
                  <td>{{v.description}}</td>
                  <td>  <a class='dropdown-trigger' href='#'  [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                  <li><a  class="modal-trigger" (click)="getOne(v.id)" href="#modal2">Modifier</a></li>
                  <li><a class="modal-trigger" (click)="delete(v.id)">Supprimper</a></li>
               
                  </ul></td>
                  
                
                
               
            </tr>
        </tbody>
      </table>
    </div>
  </div>
  </div>
  </div>
  </div>
  </div>
  </div>
  
  <!-- END RIGHT SIDEBAR NAV -->
  <div id="modal1" class="modal" >
      <form #f="ngForm" (ngSubmit)="save(f.value)">
    <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
      <h5>Ajouter une contravention
      </h5>
      <br>
      
      <div class="row">
       <div class="input-field col m6 s6">
        <label for="nbrporte" class="active">Immatricule*</label>

        <select  searchable='Liste de Voiture' id="xxxx"  name="voitureImmatricule" #name="ngModel" [(ngModel)]="vistetechnique.voitureImmatricule" required>
          <option *ngFor="let v of voitures" [value]="v.immatricule">
            {{v.immatricule}}
           </option>
      </select>
       </div>
       <div class="input-field col m6 s6">
        <label for="nbrporte" class="active">Carage*</label>
        <select  searchable='Liste de garage' id="xxxx"  name="carage" #carage="ngModel" [(ngModel)]="vistetechnique.carage" required>
          <option *ngFor="let g of garages" [value]="g.id">
            {{g.nom}}
           </option>
      </select>

       </div>
     </div>
     <div class="row">
      <div class="input-field col m6 s6">
          <input type="text" class="validate" name="prix" #prix="ngModel" [(ngModel)]="vistetechnique.prix" required>
          <label for="nbrporte">Prix*</label>
          <small  class="errorTxt1" *ngIf="prix.touched  &&  prix.invalid" ><div id="uname-error" class="error">saisir votre prix</div></small>

      </div>
      <div class="input-field col m6 s6">
          <input type="text" class="validate" name="kilometrage" #kilometrage="ngModel" [(ngModel)]="vistetechnique.kilometrage" required>
          <label for="nbrporte">Kilometrage*</label>
          <small  class="errorTxt1" *ngIf="kilometrage.touched  &&  kilometrage.invalid" ><div id="uname-error" class="error">saisir votre kilometrage</div></small>

      </div>
      <div class="input-field col m6 s6">
        <input type="date" class="validate" name="date" #date="ngModel" [(ngModel)]="vistetechnique.date" required >
        <label for="nbrporte">Date*</label>
        <small  class="errorTxt1" *ngIf="date.touched  &&  date.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>

    </div>
    <div class="input-field col m6 s6">
        <input type="text" class="validate" name="description" #description="ngModel" [(ngModel)]="vistetechnique.description" required>
        <label for="nbrporte">Description</label>
        <small  class="errorTxt1" *ngIf="description.touched  &&  description.invalid" ><div id="uname-error" class="error">saisir votre description</div></small>

    </div>
     </div>
    
  
      <div class="modal-footer">
          <button [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
             <i class="material-icons right">send</i>
           </button>
       </div>
  
  </div>
</form>
  </div>
 

  <div id="modal2" class="modal" >
    <form #fu="ngForm" (ngSubmit)="update(fu.value)">
  <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
    <h5>Modifier une viste technique
    </h5>
    <br>
    
    <div class="row">
     <div class="input-field col m6 s6">
      <label for="nbrporte" class="active">Immatricule</label><br/>

      <input  id="name2" type="text" name="voitureImmatricule" #name="ngModel" [(ngModel)]="vistetechnique.voitureImmatricule" disabled>

     </div>
     <div class="input-field col m6 s6">
      <label for="nbrporte" class="active">Carage</label><br/>
      <input type="text" name="carage" #name="ngModel" [(ngModel)]="vistetechnique.carage" required disabled>
     </div>
   </div>
   <div class="row">
    <div class="input-field col m6 s6">
      <label for="nbrporte">Prix</label><br/>
        <input type="text" name="prix" #name="ngModel" [(ngModel)]="vistetechnique.prix" required>
    </div>
    <div class="input-field col m6 s6">
      <label for="nbrporte">Kilometrage</label><br/>

        <input type="text" name="kilometrage" #name="ngModel" [(ngModel)]="vistetechnique.kilometrage" required>
    </div>
    <div class="input-field col m6 s6">
      <label for="nbrporte">Date</label><br/>

      <input type="date" name="date" #name="ngModel" [(ngModel)]="vistetechnique.date" required >
  </div>
  <div class="input-field col m6 s6">
    <label for="nbrporte">Description</label><br/>

      <input type="text" name="description" #name="ngModel" [(ngModel)]="vistetechnique.description" required>
  </div>
   </div>
  

    <div class="modal-footer">
        <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
           <i class="material-icons right">send</i>
         </button>
     </div>

</div>
</form>
</div>


  
  
  